Package de.willuhn.jameica.hbci.rmi

# Interface SepaSammelTransferBuchung<T extends SepaSammelTransfer>

Type Parameters:
  `T` - der konkrete Typ des Sammel-Auftrages.

All Superinterfaces:
  `de.willuhn.datasource.rmi.Changeable`, `de.willuhn.datasource.rmi.DBObject`, `de.willuhn.datasource.GenericObject`, `HibiscusDBObject`, `Remote`, `SepaBooking`, `de.willuhn.datasource.rmi.Transactionable`, `Transfer`

All Known Subinterfaces:
  `SepaSammelLastBuchung`, `SepaSammelUeberweisungBuchung`

All Known Implementing Classes:
  `AbstractSepaSammelTransferBuchungImpl`, `SepaSammelLastBuchungImpl`, `SepaSammelUeberweisungBuchungImpl`

public interface SepaSammelTransferBuchung<T extends SepaSammelTransfer> extends SepaBooking, HibiscusDBObject
Interface fuer eine einzelne Buchung eines SEPA-Sammel-Transfers.

## Method Summary

Modifier and Type
Method
Description
`T`
`getSammelTransfer()`
Liefert den zugeordneten Sammel-Transfer.
`void`
`setBetrag(double betrag)`
Speichert den zu ueberweisenden Betrag.
`void`
`setGegenkontoBLZ(String blz)`
Speichert die BLZ des Gegenkontos.
`void`
`setGegenkontoName(String name)`
Speichert den Namen des Kontoinhabers des Gegenkontos.
`void`
`setGegenkontoNummer(String kontonummer)`
Speichert die Kontonummer des Gegenkontos.
`void`
`setSammelTransfer(T s)`
Legt den zugehoerigen Sammel-Transfer fest.
`void`
`setZweck(String zweck)`
Speichert den Zweck der Ueberweisung.

### Methods inherited from interface de.willuhn.datasource.rmi.Changeable

`clear, delete, isNewObject, overwrite, store`

### Methods inherited from interface de.willuhn.datasource.rmi.DBObject

`addDeleteListener, addStoreListener, equals, getAttribute, getAttributeType, getList, getPrimaryAttribute, load, removeDeleteListener, removeStoreListener`

### Methods inherited from interface de.willuhn.datasource.GenericObject

`getAttributeNames, getID`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.HibiscusDBObject

`getMeta, setMeta`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.SepaBooking

`getEndtoEndId, getPurposeCode, setEndtoEndId, setPurposeCode`

### Methods inherited from interface de.willuhn.datasource.rmi.Transactionable

`transactionBegin, transactionCommit, transactionRollback`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.Transfer

`getBetrag, getGegenkontoBLZ, getGegenkontoName, getGegenkontoNummer, getWeitereVerwendungszwecke, getZweck, getZweck2`

## Method Details

### getSammelTransfer

T getSammelTransfer() throws RemoteException
Liefert den zugeordneten Sammel-Transfer.

Returns:
  Sammel-Transfer.
Throws:
  `RemoteException`

### setSammelTransfer

void setSammelTransfer(T s) throws RemoteException
Legt den zugehoerigen Sammel-Transfer fest.

Parameters:
  `s` - Sammel-Transfer.
Throws:
  `RemoteException`

### setGegenkontoNummer

void setGegenkontoNummer(String kontonummer) throws RemoteException
Speichert die Kontonummer des Gegenkontos.

Parameters:
  `kontonummer` -
Throws:
  `RemoteException`

### setGegenkontoBLZ

void setGegenkontoBLZ(String blz) throws RemoteException
Speichert die BLZ des Gegenkontos.

Parameters:
  `blz` -
Throws:
  `RemoteException`

### setGegenkontoName

void setGegenkontoName(String name) throws RemoteException
Speichert den Namen des Kontoinhabers des Gegenkontos.

Parameters:
  `name` -
Throws:
  `RemoteException`

### setBetrag

void setBetrag(double betrag) throws RemoteException
Speichert den zu ueberweisenden Betrag.

Parameters:
  `betrag` - Betrag.
Throws:
  `RemoteException`

### setZweck

void setZweck(String zweck) throws RemoteException
Speichert den Zweck der Ueberweisung.

Parameters:
  `zweck` - Zweck der Ueberweisung.
Throws:
  `RemoteException`